Bug 456680 - No keyboard in xorg-x11-server-1.4.99.906-1.fc120.i386
No keyboard in xorg-x11-server-1.4.99.906-1.fc120.i386
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
: 457341 458049 (view as bug list)
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-07-25 11:02 EDT by Clyde E. Kunkel
Modified: 2008-10-02 00:42 EDT (History)
18 users (show)

See Also:
Fixed In Version: 1.5.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 00:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log running 906 (no keyboard...) (91.03 KB, text/plain)
2008-07-26 18:06 EDT, Tom London
no flags Details
Xorg.0.log running 905 (keyboard detected and active) (106.95 KB, text/plain)
2008-07-26 18:06 EDT, Tom London
no flags Details
Xorg.0.log runnign with .906-2. No 'cntl-alt-delete' passed to qemu-kvm. (110.68 KB, text/plain)
2008-08-01 09:43 EDT, Tom London
no flags Details

  None (edit)
Description Clyde E. Kunkel 2008-07-25 11:02:46 EDT
Description of problem:
No keyboard except for ctrl-alt-F(etc...)


Version-Release number of selected component (if applicable):
1.4.99.906-1.fc10.i386

How reproducible:
everytime

Steps to Reproduce:
1.boot
2.auto start gnome
3.try to use keyboard for input
  
Actual results:
No response.  Only ctrl-alt-F keys work.

Expected results:
Normal keyboard functioning

Additional info:

reverted server and server-common to 905 version and now keyboard works.

Noticed no default keyboard loaded in 906 version xorg log file:

(==) Log file: "/var/log/Xorg.0.log", Time: Fri Jul 25 10:36:24 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Videocard0"
(==) No monitor specified for screen "Screen0".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
Comment 1 Nicolas Mailhot 2008-07-25 11:18:54 EDT
I suspect in that case xorg is supposed to auto-detect and use a keyboard using
hal, but Fedora forcibly removed anything that looked like evdev auto-input
Comment 2 Tom London 2008-07-26 16:37:17 EDT
Get this at end of Xorg.0.log with 906:

(II) P.I. Engineering PC Keyboard/Mouse to USB  Adapter: Close
(II) UnloadModule: "evdev"
(II) Macintosh mouse button emulation: Close
(II) UnloadModule: "evdev"
(II) TPPS/2 IBM TrackPoint: Close
(II) UnloadModule: "evdev"
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf95f1000 at 0xb8098000
(II) intel(0): [drm] Closed DRM master.
Comment 3 Matěj Cepl 2008-07-26 17:30:10 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Tom London 2008-07-26 18:05:25 EDT
I attach below 2 Xorg.0.log files, one running 906, the other running 905.

I do not have an xorg.conf file.

Hope this helps.....

[For the record, Thinkpad X60, in a dock, with USB attached keyboard.]
Comment 5 Tom London 2008-07-26 18:06:06 EDT
Created attachment 312717 [details]
Xorg.0.log running 906 (no keyboard...)
Comment 6 Tom London 2008-07-26 18:06:45 EDT
Created attachment 312718 [details]
Xorg.0.log running 905 (keyboard detected and active)
Comment 7 Dennis Jacobfeuerborn 2008-07-26 21:20:07 EDT
I'm having the same problem after doing a yum update today. Pretty nasty.
Comment 8 Vasile Chelban 2008-07-27 14:34:18 EDT
This problem also affects F9 (since xorg-x11-server-Xorg-1.4.99.906-1.fc9 is 
now in updates-testing). If I setup basic xorg.conf file with  InputDevice 
section for keyboard - all keys do work. If xorg.conf is missing - keyboard is 
not detected.
Comment 9 Adam Jackson 2008-07-27 20:13:43 EDT
Oh, classy.

So what's happening here is for some reason, the default keyboard/mouse sections
_don't_ get filled in when running without xorg.conf.  But do when running with
one.  Since there's no default keyboard section with no config file, you're at
the mercy of whatever hal tells you to load; and we have the server patched to
_not_ load evdev on keyboards since gnome gets very confused when both kbd and
evdev are loaded for keyboards.

This is, er, bizarre?  I'm not really sure what changed between 905 and 906 to
make this happen.  But I'm looking into it.
Comment 10 Peter Hutterer 2008-07-27 21:03:48 EDT
The server supports an option called AllowEmptyInput. If this option is "off",
then the server will take the first pointer and first keyboard in the xorg.conf
to be the core pointer. If none exist, it loads them with the default settings
(mouse driver on /dev/input/mice and kbd driver)

If AEI is "on", the server does not force input device, and relies on what HAL
provides. As ajax said, the server doesn't add evdev keyboards, so you loose out
here. Your pointer devices get loaded, if you look at the logs.

The fixes here are Option "AllowEmptyInput" "off" in the ServerLayout, or to add
a keyboard InputDevice section and reference it from the ServerLayout.

The matching upstream commit is c30f36c8c1dfd85deaf1c109823a1f15dd218ac7. It
enabled AEI automatically if input hotplug is enabled.
Comment 11 jmccann 2008-07-28 10:51:45 EDT
When this happened to me I noticed that everything I typed ended up on the VT. 
This could be seen as a security problem since even I typed my password before I
noticed that X wasn't getting the characters.
Comment 12 Mike Chambers 2008-07-28 14:06:16 EDT
(In reply to comment #10)
> The server supports an option called AllowEmptyInput. If this option is "off",
> then the server will take the first pointer and first keyboard in the xorg.conf
> to be the core pointer. If none exist, it loads them with the default settings
> (mouse driver on /dev/input/mice and kbd driver)
> 
> If AEI is "on", the server does not force input device, and relies on what HAL
> provides. As ajax said, the server doesn't add evdev keyboards, so you loose out
> here. Your pointer devices get loaded, if you look at the logs.
> 
> The fixes here are Option "AllowEmptyInput" "off" in the ServerLayout, or to add
> a keyboard InputDevice section and reference it from the ServerLayout.
> 
> The matching upstream commit is c30f36c8c1dfd85deaf1c109823a1f15dd218ac7. It
> enabled AEI automatically if input hotplug is enabled.

I am experiencing the same thing, going from F9 to rawhide update as of today. I
added an xorg.conf file that includes the keyboard device listed and keyboard
works.  Although, my mouse (this is a logitech wireless desktop with keyboard
and mouse, that connects via usb and a usb tongle that connects to keybaord and
mouse) does not work, yet a ps2 mouse works fine.

Is this related and something that could be added to my xorg.conf file for the
mouse to see if it works same as keyboard? 
Comment 13 Peter Hutterer 2008-07-28 20:12:15 EDT
Mike: 
This is a different issue. We found that some wireless devices make the mouse
look like a mouse and keyboard at the same time. Check the info.capabilities on
your mouse when running "hal-device". 

If it is listed as a keyboard, it's not added automatically. In your case, you
can get around this by adding an explicit InputDevice section using the mouse
driver that points at /dev/input/mice, or using the evdev driver that points at
/dev/input/by-id/...-event-mouse.
Comment 14 Peter Robinson 2008-07-29 14:15:52 EDT
(In reply to comment #9)
> Oh, classy.
> 
> So what's happening here is for some reason, the default keyboard/mouse sections
> _don't_ get filled in when running without xorg.conf.

I'm seeing this as well with Fedora9 + updates testing plus a xorg.conf file but
it doesn't have any input section. I only have it to make my dual screen work on
the docking station with xrandr. There's basically just enough config to
allocate the virtual max.
Comment 15 Peter Hutterer 2008-07-31 02:49:12 EDT
*** Bug 457341 has been marked as a duplicate of this bug. ***
Comment 16 Tom London 2008-08-01 09:42:37 EDT
Rawhide (xorg-x11-server-Xorg-1.4.99.906-2.fc10.i386 &
xorg-x11-server-common-1.4.99.906-2.fc10.i386) now "sees" the keyboard, but I no
longer seem to be able to pass "cntl-alt-delete' (and friends) to qemu-kvm.

I can't seem to login to my WinXP VMs.....

Reverting to .905 fixes....

Did something change that requires config changes?

I am running Thinkpad X60 with no xorg.conf file.

I attach Xorg.0.log below.



Comment 17 Tom London 2008-08-01 09:43:32 EDT
Created attachment 313198 [details]
Xorg.0.log runnign with .906-2.  No 'cntl-alt-delete' passed to qemu-kvm.
Comment 18 Martin Sourada 2008-08-01 12:42:29 EDT
I have this problem on F9, but not on rawhide (both 906-1). Following the
discussion here I checked my xorg.conf for both installations and the difference
that hits the eye is that the rawhide one has keyboard section, whereas the F9
one don't...
Comment 19 Peter Hutterer 2008-08-04 02:00:35 EDT
(In reply to comment #18)
> I have this problem on F9, but not on rawhide (both 906-1). Following the
> discussion here I checked my xorg.conf for both installations and the difference
> that hits the eye is that the rawhide one has keyboard section, whereas the F9
> one don't...

can you post your xorg.conf from rawhide please? looks like we have the usual evdev/pc105 keymap issue.
Comment 20 Tom London 2008-08-04 10:05:02 EDT
xorg-x11-server-Xorg-1.4.99.906-3.fc10.i386 & xorg-x11-server-common-1.4.99.906-3.fc10.i386 continue to NOT pass cntl-alt-delete to qemu-kvm VM running WinXP.

No problem with .905.

I have no xorg.conf, and am running on Thinkpad X60 with Intel 945.

Is there something wrong with my setup?  How can I trace/provide additional info?
Comment 21 Jerry Amundson 2008-08-04 22:18:20 EDT
906 : No mouse, and no keyboard except ctrl-alt-del
905 : Works perfectly.
x86_64 (Dell Optiplex 755), USB port, with one adapter for keyboard/mouse
Straight F9 with updates-testing added.
Comment 22 Peter Hutterer 2008-08-05 02:21:56 EDT
(In reply to comment #21)
> 906 : No mouse, and no keyboard except ctrl-alt-del
> 905 : Works perfectly.
> x86_64 (Dell Optiplex 755), USB port, with one adapter for keyboard/mouse
> Straight F9 with updates-testing added.

906-1 re-enabled evdev keyboard's, which can cause busted maps. 906-5 is up now with two patches hacking around that.


(In reply to comment #20)
> xorg-x11-server-Xorg-1.4.99.906-3.fc10.i386 &
> xorg-x11-server-common-1.4.99.906-3.fc10.i386 continue to NOT pass
> cntl-alt-delete to qemu-kvm VM running WinXP.
> 
> No problem with .905.

all other keys work fine? what about modifiers, do they work?
Comment 23 Tom London 2008-08-05 09:41:31 EDT
(In reply to comment #22)
> 
> (In reply to comment #20)
> > xorg-x11-server-Xorg-1.4.99.906-3.fc10.i386 &
> > xorg-x11-server-common-1.4.99.906-3.fc10.i386 continue to NOT pass
> > cntl-alt-delete to qemu-kvm VM running WinXP.
> > 
> > No problem with .905.
> 
> all other keys work fine? what about modifiers, do they work?

I haven't noticed any other problem with any other multi-key combinations, either in gnome or in the qemu-kvm/WinXP VM.

In fact, my "work around" for qemu-kvm, when I get the "please enter CTL-ALT-DEL" screen in WinXP is to enter "ctl-alt-2" in qemu-kvm to switch to the qemu console.  I then enter 'sendkey ctrl-alt-delete' and enter 'ctl-alt-1' to flip back to the WinXP video console.

What else to try?
Comment 24 Warren Togami 2008-08-05 09:46:53 EDT
Upgraded to xorg-x11-server-Xorg-1.4.99.906-5.fc10 and I still have no keyboard.

No xorg.conf here.  This worked fine in F9.
Comment 25 Tom London 2008-08-05 10:04:35 EDT
My issue (no ctrl-alt-delete passed to qemu-kvm) continues with xorg-x11-server-common-1.4.99.906-5.fc10.i386 and xorg-x11-server-Xorg-1.4.99.906-5.fc10.i386.

In fact, ctl-alt-delete does nothing even without qemu-kvm running.  Is that supposed to pop up the logout/shutdown dialog?
Comment 26 Tom London 2008-08-05 13:01:01 EDT
I seem not to be getting 'DEL' keypresses within my kvm VM.

I get them in gnome (per gnome-terminal and gnome-keyboard-applet).

Is there an evdev mapping somewhere (or something)?
Comment 27 Peter Hutterer 2008-08-05 22:23:13 EDT
(In reply to comment #24)
> Upgraded to xorg-x11-server-Xorg-1.4.99.906-5.fc10 and I still have no
> keyboard.
> 
> No xorg.conf here.  This worked fine in F9.

I'd guess that your HAL setup is broken. Please make sure that "hal-device" lists "input.x11_driver = evdev" for each (or at least one) keyboard.
The matching file should be in /etc/hal/fdi/policy/
See also http://who-t.blogspot.com/2008/07/input-configuration-in-nutshell.html

If HAL appears to be set up correctly, I'd need a logfile from -5, the last one still had the no-evdev patch in and isn't too useful here.
Comment 28 Warren Togami 2008-08-06 00:35:19 EDT
OK, I was not aware that X now needs haldaemon running.  I had turned it off for the F9 diskless clients because it wasn't needed back then.
Comment 29 Peter Hutterer 2008-08-06 03:22:35 EDT
(In reply to comment #28)
> OK, I was not aware that X now needs haldaemon running.  I had turned it off
> for the F9 diskless clients because it wasn't needed back then.

You can run without hald, but then you need a configuration file, and either specify input devices or set AllowEmptyInput to off.
No config file - the server expects hal to provide the required information.
Comment 30 Peter Hutterer 2008-08-10 21:29:01 EDT
*** Bug 458049 has been marked as a duplicate of this bug. ***
Comment 31 Tom London 2008-08-11 10:16:23 EDT
I still am missing keys when I run kvm (running WinXP image). From what I can tell, all keys work just fine in gnome.

Here is what I have found out: 

The following keys do not "work" with any version of .906.  They all work fine with .905:

DELETE, up-arrow, down-arrow, page-up, page-down, home, end, right-ctrl, right-alt

From what I can test, a few of these keys are being mapped, as tested by running 'wordpad' in the WinXP image, and hitting all the keys:

page-up -> '/' 
right-alt -> enter
'\' -> ';'
left-arrow -> alt (the 'File' menu seems to activate when this is entered)

These all seem to work as expected with .905.

Is this something I've misconfigued on my system?  Issue with kvm? other?

Suggestions on what else to test gratefully accepted!
Comment 32 Charles R. Anderson 2008-08-11 10:32:27 EDT
Bugzilla lost my form entry, so I won't be as eloquent entering this for the second time.

F9, 905 worked, 906 keyboard doesn't work sometimes after resume.  If I use mouse to log out of X, the X server crashes, forcing me to power-cycle.  xorg.conf:

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0"    "CorePointer"
        InputDevice    "Synaptics" "AlwaysCore"
        InputDevice    "Keyboard0" "CoreKeyboard"
        Option         "AllowEmptyInput" "off"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "InputDevice"
        Identifier  "Synaptics"
        Driver      "synaptics"
        Option      "Device" "/dev/input/mice"
        Option      "Protocol" "auto-dev"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us+inet"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "intel"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Virtual 3360 1080
                Depth     24
        EndSubSection
EndSection
~
Comment 33 Tom London 2008-08-11 12:17:35 EDT
Seems that adding "-k en-us" option to the qemu-kvm command "makes this work".

Here is the documentation from the qemu man page:

       -k language
           Use keyboard layout language (for example "fr" for French). This
           option is only needed where it is not easy to get raw PC keycodes
           (e.g. on Macs, with some X11 servers or with a VNC display). You
           don’t normally need to use it on PC/Linux or PC/Windows hosts.

           The available layouts are:

                   ar  de-ch  es  fo     fr-ca  hu  ja  mk     no  pt-br  sv
                   da  en-gb  et  fr     fr-ch  is  lt  nl     pl  ru     th
                   de  en-us  fi  fr-be  hr     it  lv  nl-be  pt  sl     tr

           The default is "en-us".


Does the new server/evdev make it "not easy to get raw PC keycodes"?  Related to keyboard language issues?
Comment 34 Peter Hutterer 2008-08-11 20:37:28 EDT
905 disabled evdev for keyboards and used kbd instead. 906 doesn't. 
most if not all of these issues are caused by keyboards using the evdev driver now, although it's not a single bug with the driver, there's a few issues in the server too.

in the interest of reducing noise, please don't add that it worked fine with 905 (unless it didn't, then that'd be important to know).



(In reply to comment #32)
> F9, 905 worked, 906 keyboard doesn't work sometimes after resume.  If I use
> mouse to log out of X, the X server crashes, forcing me to power-cycle. 

please attach a log file, one with the log after coming back from a resume, one with the crash backtrace.

the xorg.conf is basically a noop, since the input devices will be hotplugged and do not actually use the settings specified in the config. exception is synaptics, and if HAL is not setup (and hotplugging doesn't work). the log will tell more though.
Comment 35 Charles R. Anderson 2008-08-21 10:59:30 EDT
I'd like to add that I've discovered that my problem doesn't appear to be caused by xorg server 906.  I've been using 905 and it happens there too.  What fixed it was to use kernel 2.6.25.10-86.fc9.x86_64.  Something in the latest kernels 2.6.25.11-97.fc9.x86_64 and 2.6.25.14-108.fc9.x86_64 must be causing the loss of keyboard after resume.

The symptoms are that sometimes after resume (seems to happen mainly with suspend to RAM, not hibernate to disk), I start entering my password in the gnome-screensaver dialog which works, then the keyboard dies a few seconds later.  If I'm not so quick to unlock the screen right away, the keyboard might be dead already or die in the middle of me typing my password.
Comment 36 Patrick O'Callaghan 2008-09-15 23:31:30 EDT
I'm having the same problem (no kb except for Alt-Fn keys) under xorg-x11-server-Xorg-1.5.0-1.fc9.x86_64 installed today from updates-testing. I have no xorg.conf.

I can provide the xorg.log file if necessary but it will mean reinstalling (I regressed to xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.x86_64 which fixed the problem). Mysteriously the logs from Xorg-1.5 are not present and I definitely didn't wipe them.
Comment 37 Patrick O'Callaghan 2008-09-15 23:32:40 EDT
Sorry, I should have added that the physical kb is a standard US-layout PS2 unit. The mouse works fine.
Comment 38 Peter Hutterer 2008-09-16 00:45:02 EDT
(In reply to comment #36)
> I'm having the same problem (no kb except for Alt-Fn keys) under
> xorg-x11-server-Xorg-1.5.0-1.fc9.x86_64 installed today from updates-testing. I
> have no xorg.conf.

Please run hal-device and check its output for your keyboard device. If should list input.x11_driver = evdev. This is just to make sure, since you say Alt+Fn keys work, I suspect it's more to do with maybe XKB.
I'd need your logfile to get anywhere though.


(In reply to comment #35)
> I'd like to add that I've discovered that my problem doesn't appear to be
> caused by xorg server 906.  I've been using 905 and it happens there too.  What
> fixed it was to use kernel 2.6.25.10-86.fc9.x86_64.  Something in the latest
> kernels 2.6.25.11-97.fc9.x86_64 and 2.6.25.14-108.fc9.x86_64 must be causing
> the loss of keyboard after resume.

I found a similar issue although it was in the sub-second range. The device became invalid after opening it at resume, causing the device to deactivate. This issue is fixed with xorg-x11-drv-evdev-2.0.4-3.
Comment 39 Peter Robinson 2008-09-16 04:46:48 EDT
I saw the same issues on my laptop keyboard with yesterday's testing updates and had to add an input section into my xorg.conf. Same situation ALT+F1 got me to a console but nothing else worked. Mouse worked fine

The hal-device outputs the following for the keyboard.

14: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'
  linux.sysfs_path = '/sys/devices/platform/i8042/serio0/input/input4/event4'  (string)
  info.subsystem = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  info.product = 'AT Translated Set 2 keyboard'  (string)
  info.callouts.add = { 'hal-setup-keymap' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.device_file = '/dev/input/event4'  (string)
  input.keymap.data = { 'e001:fn_esc', 'e009:battery', 'e00a:screenlock', 'e033:f22' } (string list)
  input.xkb.rules = 'base'  (string)
  linux.subsystem = 'input'  (string)
  input.xkb.model = 'evdev'  (string)
  input.xkb.layout = 'us'  (string)
  info.capabilities = { 'input', 'input.keyboard', 'input.keypad', 'input.keys', 'input.keymap', 'button' } (string list)
  input.xkb.variant = ''  (string)
  info.category = 'input'  (string)
  input.x11_driver = 'evdev'  (string)
  input.device = '/dev/input/event4'  (string)
  input.product = 'AT Translated Set 2 keyboard'  (string)
Comment 40 Patrick O'Callaghan 2008-09-16 09:35:02 EDT
(In reply to comment #38)
> (In reply to comment #36)
> > I'm having the same problem (no kb except for Alt-Fn keys) under
> > xorg-x11-server-Xorg-1.5.0-1.fc9.x86_64 installed today from updates-testing. I
> > have no xorg.conf.
> 
> Please run hal-device and check its output for your keyboard device. If should
> list input.x11_driver = evdev. This is just to make sure, since you say Alt+Fn
> keys work, I suspect it's more to do with maybe XKB.

Here's the hal-device info (I assume this is the part you need):

10: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'
  input.device = '/dev/input/event3'  (string)
  info.subsystem = 'input'  (string)
  info.product = 'AT Translated Set 2 keyboard'  (string)
  input.product = 'AT Translated Set 2 keyboard'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio0/input/input3/event3'  (string)
  info.category = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  info.capabilities = { 'input', 'input.keyboard', 'input.keypad', 'input.keys', 'button' } (string list)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  input.xkb.rules = 'base'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  input.xkb.model = 'evdev'  (string)
  linux.subsystem = 'input'  (string)
  linux.device_file = '/dev/input/event3'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.variant = ''  (string)
  input.x11_driver = 'evdev'  (string)

> I'd need your logfile to get anywhere though.

I'll see what I can do.
Comment 41 Patrick O'Callaghan 2008-09-16 10:36:47 EDT
OK, I got a new log file. Sorry it's inline but I don't see the usual attachment button on this page:

X.Org X Server 1.5.0
Release Date:       
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-92.1.10.el5 x86_64 
Current Operating System: Linux bree.homelinux.com 2.6.26.3-29.fc9.x86_64 #1 SMP Wed Sep 3 03:16:37 EDT 2008 x86_64
Build Date: 12 September 2008  10:29:48AM                                                                          
Build ID: xorg-x11-server 1.5.0-1.fc9                                                                              
        Before reporting problems, check http://wiki.x.org                                                         
        to make sure that you have the latest version.                                                             
Module Loader present                                                                                              
Markers: (--) probed, (**) from config file, (==) default setting,                                                 
        (++) from command line, (!!) notice, (II) informational,                                                                               
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.                                                                          
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Sep 16 09:56:40 2008                                                                           
(EE) Unable to locate/open config file                                                                                                         
(II) Loader magic: 0x7a9560                                                                                                                    
(II) Module ABI versions:                                                                                                                      
        X.Org ANSI C Emulation: 0.4                                                                                                            
        X.Org Video Driver: 4.1                                                                                                                
        X.Org XInput driver : 2.1                                                                                                              
        X.Org Server Extension : 1.1                                                                                                           
        X.Org Font Renderer : 0.6                                                                                                              
(II) Loader running on linux                                                                                                                   
(++) using VT number 7                                                                                                                         
                                                                                                                                               
(--) PCI:*(0@0:2:0) Intel Corporation 82Q963/Q965 Integrated Graphics Controller rev 2, Mem @ 0x90200000/1048576, 0x80000000/268435456, I/O @ 0x00002110/8                                                                                                                                    
(==) Matched intel for the autoconfigured driver                                                                                               
New driver is "intel"                                                                                                                          
(==) Using default built-in configuration (30 lines)                                                                                           
(==) --- Start of built-in configuration ---                                                                                                   
        Section "Device"                                                                                                                       
                Identifier      "Builtin Default intel Device 0"                                                                               
                Driver  "intel"                                                                                                                
        EndSection                                                                                                                             
        Section "Screen"                                                                                                                       
                Identifier      "Builtin Default intel Screen 0"                                                                               
                Device  "Builtin Default intel Device 0"                                                                                       
        EndSection                                                                                                                             
        Section "Device"                                                                                                                       
                Identifier      "Builtin Default fbdev Device 0"                                                                               
                Driver  "fbdev"                                                                                                                
        EndSection                                                                                                                             
        Section "Screen"                                                                                                                       
                Identifier      "Builtin Default fbdev Screen 0"                                                                               
                Device  "Builtin Default fbdev Device 0"                                                                                       
        EndSection                                                                                                                             
        Section "Device"                                                                                                                       
                Identifier      "Builtin Default vesa Device 0"                                                                                
                Driver  "vesa"                                                                                                                 
        EndSection                                                                                                                             
        Section "Screen"                                                                                                                       
                Identifier      "Builtin Default vesa Screen 0"                                                                                
                Device  "Builtin Default vesa Device 0"                                                                                        
        EndSection                                                                                                                             
        Section "ServerLayout"                                                                                                                 
                Identifier      "Builtin Default Layout"                                                                                       
                Screen  "Builtin Default intel Screen 0"                                                                                       
                Screen  "Builtin Default fbdev Screen 0"                                                                                       
                Screen  "Builtin Default vesa Screen 0"                                                                                        
        EndSection                                                                                                                             
(==) --- End of built-in configuration
---                        (==) ServerLayout "Builtin Default Layout"                                                                                                     
(**) |-->Screen "Builtin Default intel Screen 0" (0)                                                                                           
(**) |   |-->Monitor "<default monitor>"                                                                                                       
(**) |   |-->Device "Builtin Default intel Device 0"                                                                                           
(==) No monitor specified for screen "Builtin Default intel Screen 0".                                                                         
        Using a default monitor configuration.                                                                                                 
(**) |-->Screen "Builtin Default fbdev Screen 0" (1)                                                                                           
(**) |   |-->Monitor "<default monitor>"                                                                                                       
(**) |   |-->Device "Builtin Default fbdev Device 0"                                                                                           
(==) No monitor specified for screen "Builtin Default fbdev Screen 0".                                                                         
        Using a default monitor configuration.                                                                                                 
(**) |-->Screen "Builtin Default vesa Screen 0" (2)                                                                                            
(**) |   |-->Monitor "<default monitor>"                                                                                                       
(**) |   |-->Device "Builtin Default vesa Device 0"                                                                                            
(==) No monitor specified for screen "Builtin Default vesa Screen 0".                                                                          
        Using a default monitor configuration.                                                                                                 
(==) Automatically adding devices                                                                                                              
(==) Automatically enabling devices                                                                                                            
(==) No FontPath specified.  Using compiled-in default.                                                                                        
(==) FontPath set to:                                                                                                                          
        catalogue:/etc/X11/fontpath.d,                                                                                                         
        built-ins                                                                                                                              
(==) ModulePath set to "/usr/lib64/xorg/modules"                                                                                               
(II) Cannot locate a core pointer device.                                                                                                      
(II) Cannot locate a core keyboard device.                                                                                                     
(II) The server relies on HAL to provide the list of input devices.                                                                            
        If no devices become available, reconfigure HAL or disable AllowEmptyInput.                                                            
(II) Open ACPI successful (/var/run/acpid.socket)                                                                                              
(II) System resource ranges:                                                                                                                   
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]                                                                                    
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]                                                                                
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]                                                                                
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]                                                                                
        [4] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]                                                                                    
        [5] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]                                                                                    
(II) LoadModule: "extmod"                                                                                                                      

(II) Loading /usr/lib64/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"                
        compiled for 1.5.0, module version = 1.0.0           
        Module class: X.Org Server Extension                 
        ABI class: X.Org Server Extension, version 1.1       
(II) Loading extension SELinux                               
(II) Loading extension SHAPE                                 
(II) Loading extension MIT-SUNDRY-NONSTANDARD                
(II) Loading extension BIG-REQUESTS                          
(II) Loading extension SYNC                                  
(II) Loading extension MIT-SCREEN-SAVER                      
(II) Loading extension XC-MISC                               
(II) Loading extension XFree86-VidModeExtension              
(II) Loading extension XFree86-Misc                          
(II) Loading extension XFree86-DGA                           
(II) Loading extension DPMS                                  
(II) Loading extension TOG-CUP                               
(II) Loading extension Extended-Visual-Information           
(II) Loading extension XVideo                                
(II) Loading extension XVideo-MotionCompensation             
(II) Loading extension X-Resource                            
(II) LoadModule: "dbe"                                       

(II) Loading /usr/lib64/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"                
        compiled for 1.5.0, module version = 1.0.0        
        Module class: X.Org Server Extension              
        ABI class: X.Org Server Extension, version 1.1    
(II) Loading extension DOUBLE-BUFFER                      
(II) LoadModule: "glx"                                    

(II) Loading /usr/lib64/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"                
        compiled for 1.5.0, module version = 1.0.0        
        ABI class: X.Org Server Extension, version 1.1    
(==) AIGLX enabled                                        
(==) Exporting typical set of GLX visuals                 
(II) Loading extension GLX                                
(II) LoadModule: "freetype"                               

(II) Loading /usr/lib64/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
        compiled for 1.5.0, module version = 2.1.0                      
        Module class: X.Org Font Renderer                               
        ABI class: X.Org Font Renderer, version 0.6                     
(II) Loading font FreeType                                              
(II) LoadModule: "dri"                                                  

(II) Loading /usr/lib64/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"                
        compiled for 1.5.0, module version = 1.0.0        
        ABI class: X.Org Server Extension, version 1.1    
(II) Loading extension XFree86-DRI                        
(II) LoadModule: "intel"                                  

(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"              
        compiled for 1.4.99.902, module version = 2.2.1   
        Module class: X.Org Video Driver                  
        ABI class: X.Org Video Driver, version 4.0        
(II) Loading sub module "intel_master"                    
(II) LoadModule: "intel_master"                           

(II) Loading /usr/lib64/xorg/modules/drivers//intel_master_drv.so
(II) Module intel: vendor="X.Org Foundation"                     
        compiled for 1.4.99.902, module version = 2.3.2          
        Module class: X.Org Video Driver                         
        ABI class: X.Org Video Driver, version 4.0               
(II) LoadModule: "fbdev"                                         

(II) Loading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"              
        compiled for 1.4.99.2, module version = 0.3.1     
        ABI class: X.Org Video Driver, version 4.0        
(II) LoadModule: "vesa"                                   

(II) Loading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"              
        compiled for 1.4.99.902, module version = 1.3.0  
        Module class: X.Org Video Driver                 
        ABI class: X.Org Video Driver, version 4.0       
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
        i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
        E7221 (i915), 915GM, 945G, 945GM, 945GME, 965G, G35, 965Q, 946GZ,
        965GM, 965GME/GLE, G33, Q35, Q33, Intel Integrated Graphics Device
(II) FBDEV: driver for framebuffer: fbdev                                 
(II) VESA: driver for VESA chipsets: vesa                                 
(II) Primary Device is: PCI 00@00:02:0                                    
(II) resource ranges after xf86ClaimFixedResources() call:                
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]               
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]           
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]           
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]           
        [4] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]               
        [5] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]               
(WW) Falling back to old probe method for fbdev                           
(II) Loading sub module "fbdevhw"                                         
(II) LoadModule: "fbdevhw"                                                

(II) Loading /usr/lib64/xorg/modules/linux//libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"           
        compiled for 1.5.0, module version = 0.0.2       
        ABI class: X.Org Video Driver, version 4.1       
(EE) open /dev/fb0: No such file or directory            
(WW) Falling back to old probe method for vesa           
(II) resource ranges after probing:                      
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] 0   0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [5] 0   0       0x000b0000 - 0x000b7fff (0x8000) MS[B] 
        [6] 0   0       0x000b8000 - 0x000bffff (0x8000) MS[B] 
        [7] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]    
        [8] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]    
        [9] 0   0       0x000003b0 - 0x000003bb (0xc) IS[B]    
        [10] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]   
(II) Loading sub module "int10"                                
(II) LoadModule: "int10"                                       

(II) Loading /usr/lib64/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"     
        compiled for 1.5.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 4.1
(II) Loading sub module "vbe"                     
(II) LoadModule: "vbe"                            

(II) Loading /usr/lib64/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"     
        compiled for 1.5.0, module version = 1.1.0
        ABI class: X.Org Video Driver, version 4.1
(II) Loading sub module "vgahw"                   
(II) LoadModule: "vgahw"                          

(II) Loading /usr/lib64/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"     
        compiled for 1.5.0, module version = 0.1.0
        ABI class: X.Org Video Driver, version 4.1
(II) intel(0): Creating default Display subsection in Screen section
        "Builtin Default intel Screen 0" for depth/fbbpp 24/32      
                (==) intel(0): Depth 24, (==) framebuffer bpp 32                    
(==) intel(0): RGB weight 888                                       
(==) intel(0): Default visual is TrueColor                          
(II) intel(0): Integrated Graphics Chipset: Intel(R) 965Q           
(--) intel(0): Chipset: "965Q"                                      
(--) intel(0): Linear framebuffer at 0x80000000                     
(--) intel(0): IO registers at addr 0x90200000                      
(II) intel(0): 2 display pipes available.                           
(==) intel(0): Using EXA for acceleration                           
(II) Loading sub module "ddc"                                       
(II) LoadModule: "ddc"                                              
(II) Module "ddc" already built-in                                  
(II) Loading sub module "i2c"                                       
(II) LoadModule: "i2c"                                              
(II) Module "i2c" already built-in                                  
(II) intel(0): Output VGA has no monitor section                    
(II) intel(0): I2C bus "CRTDDC_A" initialized.                      
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" initialized.          
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" registered at address 0x70.
(II) intel(0): No SDVO device found on SDVOB                                                  
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" removed.                   
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" removed.                                        
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOC" initialized.                                    
(II) intel(0): I2C device "SDVOCTRL_E for SDVOC:SDVO Controller C" registered at address 0x72.
(II) intel(0): No SDVO device found on SDVOC                                                  
(II) intel(0): I2C device "SDVOCTRL_E for SDVOC:SDVO Controller C" removed.                   
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOC" removed.                                        
(II) intel(0): I2C device "CRTDDC_A:ddc2" registered at address 0xA0.                         
(II) intel(0): EDID vendor "SAM", prod id 685                                                 
(II) intel(0): Using EDID range info for horizontal sync                                      
(II) intel(0): Using EDID range info for vertical refresh                                     
(II) intel(0): Printing DDC gathered Modelines:                                               
(II) intel(0): Modeline "1440x900"x0.0  106.50  1440 1520 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)    
(II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)    
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)     
(II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 491 520 -hsync -vsync (37.9 kHz)     
(II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz)     
(II) intel(0): Modeline "640x480"x0.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)     
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)     
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)     
(II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz)     
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)     
(II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)         
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)         
(II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)         
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)     
(II) intel(0): Modeline "1280x1024"x60.0  108.88  1280 1360 1496 1712  1024 1025 1028 1060 -hsync +vsync (63.6 kHz)
(II) intel(0): Modeline "1152x864"x75.0  104.99  1152 1224 1352 1552  864 865 868 902 -hsync +vsync (67.7 kHz)     
(II) intel(0): Modeline "1280x960"x60.0  102.10  1280 1360 1496 1712  960 961 964 994 -hsync +vsync (59.6 kHz)     
(II) intel(0): EDID vendor "SAM", prod id 685                                                                      
(II) intel(0): Output VGA connected                                                                                
(II) intel(0): Using exact sizes for initial modes                                                                 
(II) intel(0): Output VGA using initial mode 1440x900                                                              
(II) intel(0): detected 512 kB GTT.                                                                                
(II) intel(0): detected 7676 kB stolen memory.                                                                     
(==) intel(0): video overlay key set to 0x101fe                                                                    
(==) intel(0): Will not try to enable page flipping                                                                
(==) intel(0): Triple buffering disabled                                                                           
(==) intel(0): Intel XvMC decoder disabled                                                                         
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)                                                              
(**) intel(0): Display dimensions: (410, 270) mm                                                                   
(**) intel(0): DPI set to (89, 135)                                                                                
(II) Loading sub module "fb"                                                                                       
(II) LoadModule: "fb"                                                                                              

(II) Loading /usr/lib64/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"     
        compiled for 1.5.0, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "exa"                         
(II) LoadModule: "exa"                                

(II) Loading /usr/lib64/xorg/modules//libexa.so
(II) Module exa: vendor="X.Org Foundation"     
        compiled for 1.5.0, module version = 2.4.0
        ABI class: X.Org Video Driver, version 4.1
(II) Loading sub module "ramdac"                  
(II) LoadModule: "ramdac"                         
(II) Module "ramdac" already built-in             
(II) intel(0): Comparing regs from server start up to After PreInit
(II) UnloadModule: "fbdev"                                         
(II) Unloading /usr/lib64/xorg/modules/drivers//fbdev_drv.so       
(II) UnloadModule: "fbdevhw"                                       
(II) Unloading /usr/lib64/xorg/modules/linux//libfbdevhw.so        
(II) UnloadModule: "vesa"                                          
(II) Unloading /usr/lib64/xorg/modules/drivers//vesa_drv.so        
(==) Depth 24 pixmap format is 32 bpp                              
(II) do I need RAC?  No, I don't.                                  
(II) resource ranges after preInit:                                
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]        
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]    
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]    
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]    
        [4] 0   0       0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
        [5] 0   0       0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD) 
        [6] 0   0       0x000b8000 - 0x000bffff (0x8000) MS[B](OprD) 
        [7] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]          
        [8] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]          
        [9] 0   0       0x000003b0 - 0x000003bb (0xc) IS[B](OprU)    
        [10] 0  0       0x000003c0 - 0x000003df (0x20) IS[B](OprU)   
(II) intel(0): Kernel reported 485376 total, 1 used                  
(II) intel(0): I830CheckAvailableMemory: 1941500 kB available        
drmOpenDevice: node name is /dev/dri/card0                           
drmOpenDevice: open result is 12, (OK)                               
drmOpenDevice: node name is /dev/dri/card0                           
drmOpenDevice: open result is 12, (OK)                               
drmOpenByBusid: Searching for BusID pci:0000:00:02.0                 
drmOpenDevice: node name is /dev/dri/card0                           
drmOpenDevice: open result is 12, (OK)                               
drmOpenByBusid: drmOpenMinor returns 12                              
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0                 
(II) [drm] DRM interface version 1.3                                 
(II) [drm] DRM open master succeeded.                                
(II) intel(0): [drm] Using the DRM lock SAREA also for drawables.    
(II) intel(0): [drm] framebuffer mapped by ddx driver                
(II) intel(0): [drm] added 1 reserved context for kernel             
(II) intel(0): X context handle = 0x1                                
(II) intel(0): [drm] installed DRM signal handler                    
(**) intel(0): Framebuffer compression disabled                      
(**) intel(0): Tiling enabled                                        
(==) intel(0): VideoRam: 262144 KB                                   
(II) intel(0): Attempting memory allocation with tiled buffers.      
(II) intel(0): Tiled allocation successful.                          
(II) intel(0): [drm] Registers = 0x90200000                          
(II) intel(0): [drm] ring buffer = 0x80000000                        
(II) intel(0): [drm] mapped front buffer at 0x80100000, handle = 0x80100000
(II) intel(0): [drm] mapped back buffer at 0x822c0000, handle = 0x822c0000 
(II) intel(0): [drm] mapped depth buffer at 0x82b30000, handle = 0x82b30000
(II) intel(0): [drm] mapped classic textures at 0x833a0000, handle = 0x833a0000
(II) intel(0): [drm] Initialized kernel agp heap manager, 33554432             
(II) intel(0): [dri] visual configs initialized                                
(II) intel(0): Page Flipping disabled                                          
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000 
(II) EXA(0): Offscreen pixmap area of 26542080 bytes                           
(II) EXA(0): Driver registered support for the following operations:           
(II)         Solid                                                             
(II)         Copy                                                              
(II)         Composite (RENDER acceleration)                                   
(==) intel(0): Backing store disabled                                          
(==) intel(0): Silken mouse enabled                                            
(II) intel(0): Initializing HW Cursor                                          
(II) intel(0): [DRI] installation complete                                     
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x0077f000 (pgoffset 1919)    
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x00970000 (pgoffset 2416)    
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x022c0000 (pgoffset 8896)    
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x02b30000 (pgoffset 11056)   
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x033a0000 (pgoffset 13216)   
(II) intel(0): Fixed memory allocation layout:                                 
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)                     
(II) intel(0): 0x00020000-0x00029fff: HW cursors (40 kB)                       
(II) intel(0): 0x0002a000-0x00031fff: logical 3D context (32 kB)               
(II) intel(0): 0x00032000-0x00041fff: exa G965 state buffer (64 kB)            
(II) intel(0): 0x00042000-0x00042fff: overlay registers (4 kB)                 
(II) intel(0): 0x00100000-0x0096ffff: front buffer (8640 kB) X tiled           
(II) intel(0): 0x0077f000:            end of stolen memory                     
(II) intel(0): 0x00970000-0x022bffff: exa offscreen (25920 kB)                 
(II) intel(0): 0x022c0000-0x02b2ffff: back buffer (8640 kB) X tiled            
(II) intel(0): 0x02b30000-0x0339ffff: depth buffer (8640 kB) Y tiled           
(II) intel(0): 0x033a0000-0x0539ffff: classic textures (32768 kB)              
(II) intel(0): 0x10000000:            end of aperture                          
(WW) intel(0): ESR is 0x00000001                                               
(WW) intel(0): Existing errors found in hardware state.                        
(II) intel(0): Output configuration:                                           
(II) intel(0):   Pipe A is on                                                  
(II) intel(0):   Display plane A is now enabled and connected to pipe A.       
(II) intel(0):   Pipe B is off                                                 
(II) intel(0):   Display plane B is now disabled and connected to pipe B.      
(II) intel(0):   Output VGA is connected to pipe A                             
(II) intel(0): [drm] dma control initialized, using IRQ 16                     
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message. 
(II) intel(0): DPMS enabled                                                    
(II) intel(0): Set up textured video                                           
(II) intel(0): Set up overlay video                                            
(II) intel(0): direct rendering: Enabled                                       
(--) RandR disabled                                                            
(II) Initializing built-in extension MIT-SHM                                   
(II) Initializing built-in extension XInputExtension                           
(II) Initializing built-in extension XTEST                                     
(II) Initializing built-in extension XKEYBOARD                                 
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) AIGLX: Screen 0 is not DRI2 capable
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 13, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 13, (OK)
drmOpenByBusid: drmOpenMinor returns 13
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: Loaded and initialized /usr/lib64/dri/i965_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(II) intel(0): Setting screen physical size to 410 x 257
(II) config/hal: Adding input device Macintosh mouse button emulation
(II) LoadModule: "evdev"

(II) Loading /usr/lib64/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
        compiled for 1.4.99.905, module version = 2.0.4
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.1
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event2"
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Found mouse buttons
(II) Macintosh mouse button emulation: Configuring as mouse
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) config/hal: Adding input device ImExPS/2 Logitech Explorer Mouse
(**) ImExPS/2 Logitech Explorer Mouse: always reports core events
(**) ImExPS/2 Logitech Explorer Mouse: Device: "/dev/input/event4"
(II) ImExPS/2 Logitech Explorer Mouse: Found x and y relative axes
(II) ImExPS/2 Logitech Explorer Mouse: Found mouse buttons
(II) ImExPS/2 Logitech Explorer Mouse: Configuring as mouse
(II) XINPUT: Adding extended input device "ImExPS/2 Logitech Explorer Mouse" (type: MOUSE)
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4
Comment 42 Peter Hutterer 2008-09-17 00:21:17 EDT
(In reply to comment #41)
> OK, I got a new log file. Sorry it's inline but I don't see the usual
> attachment button on this page:

about 2 pages down from the top, "Add an attachment" link.

> Current Operating System: Linux bree.homelinux.com 2.6.26.3-29.fc9.x86_64 #1

are you running F9? If so, please open a separate bug. F9 keyboard handling is dealt with another driver than in F9. Let us please keep this bug F10 only.

Peter: Same with your issue please, I just only noticed you're running F9 too.


I'm slowly losing overview here. Is anyone with F10 still experiencing keyboard issues such as those mentioned in Comment 1?
Comment 43 Patrick O'Callaghan 2008-09-17 09:46:53 EDT
(In reply to comment #42)
> (In reply to comment #41)
> > OK, I got a new log file. Sorry it's inline but I don't see the usual
> > attachment button on this page:
> 
> about 2 pages down from the top, "Add an attachment" link.

When I posted yesterday, the link wasn't working. It seems to be back now.

> > Current Operating System: Linux bree.homelinux.com 2.6.26.3-29.fc9.x86_64 #1
> 
> are you running F9? If so, please open a separate bug. F9 keyboard handling is
> dealt with another driver than in F9. Let us please keep this bug F10 only.

Yes it's F9. Sorry I didn't notice this was Rawhide. I'll open a separate bug.
Comment 44 Patrick O'Callaghan 2008-09-17 10:08:03 EDT
(In reply to comment #43)
> (In reply to comment #42)
> > (In reply to comment #41)
> > > OK, I got a new log file. Sorry it's inline but I don't see the usual
> > > attachment button on this page:
> > 
> > about 2 pages down from the top, "Add an attachment" link.
> 
> When I posted yesterday, the link wasn't working. It seems to be back now.
> 
> > > Current Operating System: Linux bree.homelinux.com 2.6.26.3-29.fc9.x86_64 #1
> > 
> > are you running F9? If so, please open a separate bug. F9 keyboard handling is
> > dealt with another driver than in F9. Let us please keep this bug F10 only.
> 
> Yes it's F9. Sorry I didn't notice this was Rawhide. I'll open a separate bug.

Moved to https://bugzilla.redhat.com/show_bug.cgi?id=462606
Comment 45 Peter Hutterer 2008-10-02 00:42:16 EDT
Looking through the comments again it seems the "no keyboard" issue is fixed for F10. Please reopen if this is not the case for you.

(F9 bugs please open a separate bugreport)

Note You need to log in before you can comment on or make changes to this bug.